.net6 Support for System.Security.Principal.Windows NuGet Package

%3CLINGO-SUB%20id%3D%22lingo-sub-3445667%22%20slang%3D%22en-US%22%3E.net6%20Support%20for%20System.Security.Principal.Windows%20NuGet%20Package%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-3445667%22%20slang%3D%22en-US%22%3E%3CP%3EI%20want%20to%20use%20Package%20%22System.Security.Principal.Windows%22%20in%20my%20.net6%20application%20but%20latest%20preview%20version%20of%20it%20supports%20.NET%20Core%202.1%2C%20.NET%20Standard%202.0%20and%20.NET%20Framework%204.6.1.%20Is%20there%20any%20way%20I%20can%20make%20it%20work%20for%20.net6%3F%20The%20Build%20throws%20error%20%22Ensure%20that%20restore%20has%20run%20and%20that%20you%20have%20included%20'netcoreapp2.1'%20in%20the%20TargetFrameworks%20for%20your%20project%22.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-3445667%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3E.NET%3C%2FLINGO-LABEL%3E%3CLINGO-LABEL%3E.Net%20Core%3C%2FLINGO-LABEL%3E%3CLINGO-LABEL%3E.NET%20Framework%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-3458657%22%20slang%3D%22en-US%22%3ERe%3A%20.net6%20Support%20for%20System.Security.Principal.Windows%20NuGet%20Package%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-3458657%22%20slang%3D%22en-US%22%3E%3CP%3EHi%20%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F1407435%22%20target%3D%22_blank%22%3E%40mahirratanpara%3C%2FA%3E%2C%3C%2FP%3E%0A%3CP%3E%3CFONT%20style%3D%22vertical-align%3A%20inherit%3B%22%3E%3CFONT%20style%3D%22vertical-align%3A%20inherit%3B%22%3EThanks%20for%20posting%20your%20issue%20here.%3C%2FFONT%3E%3C%2FFONT%3E%3C%2FP%3E%0A%3CP%3E%3CFONT%20style%3D%22vertical-align%3A%20inherit%3B%22%3E%3CFONT%20style%3D%22vertical-align%3A%20inherit%3B%22%3EHowever%20this%20platform%20is%20used%20for%20how-to%20discussions%20and%20sharing%20best%20practices%20for%20building%20any%20app%20with%20.NET.Since%20your%20issue%20is%20a%20technical%20question%2C%20welcome%20to%20post%20it%20in%20%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fanswers%2Fproducts%2Fdotnet%22%20target%3D%22_self%22%20rel%3D%22noopener%20noreferrer%22%3EMicrosoft%20Q%26amp%3BA%3C%2FA%3E%20forum%2C%20the%20support%20team%20and%20communities%20on%20Microsoft%20Q%26amp%3BA%20will%20help%20you%20for%20any%20technical%20questions.%3CBR%20%2F%3EBesides%2C%20it%20will%20be%20appreciated%20if%20you%20can%20share%20it%20here%20once%20you%20post%20this%20technical%20question%20Microsoft%20Q%26amp%3BA.%3CBR%20%2F%3EBest%20Regards%2C%3CBR%20%2F%3ELan%20Huang%3C%2FFONT%3E%3C%2FFONT%3E%3C%2FP%3E%3C%2FLINGO-BODY%3E
Visitor

I want to use Package "System.Security.Principal.Windows" in my .net6 application but latest preview version of it supports .NET Core 2.1, .NET Standard 2.0 and .NET Framework 4.6.1. Is there any way I can make it work for .net6? The Build throws error "Ensure that restore has run and that you have included 'netcoreapp2.1' in the TargetFrameworks for your project".

1 Reply

Hi @mahirratanpara,

Thanks for posting your issue here.

However this platform is used for how-to discussions and sharing best practices for building any app with .NET.Since your issue is a technical question, welcome to post it in Microsoft Q&A forum, the support team and communities on Microsoft Q&A will help you for any technical questions.
Besides, it will be appreciated if you can share it here once you post this technical question Microsoft Q&A.
Best Regards,
Lan Huang